package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @describe 拼团活动奖项设置实体类
 * @auther yang.zhao
 */
@TableName("mp_groupbuying_awards")
@Data
@ApiModel("拼团活动奖项设置实体类")
public class GroupBuyingAwards implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("奖项id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("拼团活动id")
    @TableField("groupbuying_id")
    private Long groupbuyingId;

    @ApiModelProperty("奖项名")
    @TableField("name")
    private String name;

    @ApiModelProperty("奖项顺序")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty("奖项数量")
    @TableField("quantity")
    private Integer quantity;

    @ApiModelProperty("内定数量")
    @TableField("inside_num")
    private Integer insideNum;

    @ApiModelProperty("奖项描述")
    @TableField("memo")
    private String memo;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty("逻辑删除标识")
    @TableField("is_delete")
    @TableLogic
    private Integer isDelete;

}