package com.qs.mp.admin.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.*;
import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @describe 拼团活动奖项对应奖品设置实体类
 * @auther yang.zhao
 */
@TableName("mp_groupbuying_awards_prize")
@Data
@ApiModel("拼团活动奖项对应奖品设置实体类")
public class GroupBuyingAwardsPrize implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("奖品ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("拼团活动id")
    @TableField("groupbuying_id")
    private Long groupbuyingId;

    @ApiModelProperty("奖项ID")
    @TableField("awards_id")
    private Long awardsId;

    @ApiModelProperty("奖品ID（GOODS_ID或TEMPL_ID)")
    @TableField("ref_id")
    private String refId;

    @ApiModelProperty("奖品图片")
    @TableField("pic_url")
    private String picUrl;

    @ApiModelProperty("奖品名称")
    @TableField("title")
    private String title;

    @ApiModelProperty("奖品类型：goods:实物商品 coupon:优惠券 coin:平台代币 coupon_pkg:券包")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    @TableField("prize_type")
    private TicketPrizeTypeEnum prizeType;

    @ApiModelProperty("奖品数")
    @TableField("quantity")
    private Integer quantity;

    @ApiModelProperty("奖品价值")
    @TableField("value")
    private Integer value;

    @ApiModelProperty("权重排序,值越大越靠前")
    @TableField("sort_weight")
    private Integer sortWeight;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty("逻辑删除标识")
    @TableField("is_delete")
    @TableLogic
    private Integer isDelete;

    /**
     * 优惠卷详情
     */
    @ApiModelProperty(value = "优惠卷详情")
    @TableField(exist = false)
    private String couponDetail;

}