package com.qs.mp.admin.domain.param;

import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author yang.zhao
 */
@ApiModel("拼团活动奖级对应奖品入参类")
@Data
public class GroupBuyingAwardsPrizeParam {

    @NotNull(message = "拼团活动Id不能为空")
    @ApiModelProperty(value = "拼团活动Id",required=true)
    private String groupbuyingId;

    @NotNull(message = "奖项Id不能为空")
    @ApiModelProperty(value = "奖项Id",required=true)
    private String awardsId;

    @NotNull(message = "奖品关联ID不能为空")
    @ApiModelProperty(value = "奖品关联ID",required=true)
    private String refId;

    @ApiModelProperty(value = "奖品图片",required=false)
    private String picUrl;

    @ApiModelProperty(value = "奖品名称",required=false)
    private String title;

    @NotNull(message = "奖品类型不能为空")
    @ApiModelProperty(value = "奖品类型",required=true)
    private TicketPrizeTypeEnum prizeType;

    @NotNull(message = "奖品数量不能为空")
    @ApiModelProperty(value = "奖品数量",required=true)
    private Integer quantity;

    @ApiModelProperty(value = "奖品价值",required=false)
    private Integer value;

    @ApiModelProperty(value = "排序权重",required=false)
    private Integer sortWeight;


}
